namespace Ecng.Trading.Xaml
{
	using System;
	using System.Globalization;
	using System.Windows.Data;

	using Ecng.Trading.BusinessEntities;
	using Ecng.Common;

	/// <summary>
	/// WPF-  <see cref="Quote"/>,           .
	/// </summary>
	[ValueConversion(typeof(TimeSpan), typeof(string))]
	public class QuoteConverter : IValueConverter
	{
		/// <summary>
		///    . 
		/// </summary>
		/// <returns>
		///  .
		/// </returns>
		/// <param name="value">The value produced by the binding source.</param>
		/// <param name="targetType">The type of the binding target property.</param>
		/// <param name="parameter">The converter parameter to use.</param>
		/// <param name="culture">The culture to use in the converter.</param>
		object IValueConverter.Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			var quote = (Quote)value;
			return " {0}  {1}".Put(quote.Price, quote.Volume);
		}

		/// <summary>
		///    . 
		/// </summary>
		/// <returns>
		///  .
		/// </returns>
		/// <param name="value">The value produced by the binding source.</param>
		/// <param name="targetType">The type of the binding target property.</param>
		/// <param name="parameter">The converter parameter to use.</param>
		/// <param name="culture">The culture to use in the converter.</param>
		object IValueConverter.ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			return null;
		}
	}
}